<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KAbstractFileWidget</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KAbstractFileWidget Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>



<h2>Detailed Description</h2>
<dl class="abstract" compact><dt><b>Abstract class:</b></dt>
<dd>This class can be used as a base class for new classes, but can not be instantiated directly.</dd></dl>

<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj201361548">OperationMode</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;Other, Opening, Saving&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191313612">accept</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KActionCollection.html">KActionCollection</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj199579660">actionCollection</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201270508">baseUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192135212">cancelButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195415116">clearFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193765324">currentFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KMimeType.Ptr&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193764236">currentFilterMimeType</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195413580">currentMimeFilter</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KFileFilterCombo.html">KFileFilterCombo</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj188058636">filterWidget</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191944332">keepsLocation</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kio/KUrlComboBox.html">KUrlComboBox</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195369356">locationEdit</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KFile.Modes&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201169164">mode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KPushButton.html">KPushButton</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj193607436">okButton</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KAbstractFileWidget.OperationMode&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj196232524">operationMode</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200328140">selectedFile</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201270284">selectedFiles</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200328556">selectedUrl</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.List.html">KUrl.List</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192803084">selectedUrls</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191315116">setConfirmOverwrite</a> (self, bool enable)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195301260">setCustomWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj199580268">setCustomWidget</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a> widget)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191944460">setFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> filter)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191315820">setInlinePreviewShown</a> (self, bool show)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191944012">setKeepLocation</a> (self, bool keep)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj200413676">setLocationLabel</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> text)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201236524">setMimeFilter</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> types, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> defaultType=QString())</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191063308">setMode</a> (self, KFile.Modes m)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192874124">setOperationMode</a> (self, KAbstractFileWidget.OperationMode a0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj195231212">setPreviewWidget</a> (self, <a href="../kio/KPreviewWidgetBase.html">KPreviewWidgetBase</a> w)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192875628">setSelection</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192875116">setUrl</a> (self, <a href="../kdecore/KUrl.html">KUrl</a> url, bool clearforward=1)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191312652">slotCancel</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191312108">slotOk</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdeui/KToolBar.html">KToolBar</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj201167372">toolBar</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj191313580">virtual_hook</a> (self, int id, void data)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj191313612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> accept</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl></div></div><a class="anchor" name="obj199579660"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KActionCollection.html">KActionCollection</a> actionCollection</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the action collection, holding all the used
KActions.
</dd></dl>
</p></div></div><a class="anchor" name="obj201270508"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> baseUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the currently shown directory.
</dd></dl>
</p></div></div><a class="anchor" name="obj192135212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> cancelButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the Cancel-Button in the filedialog.
Note that the button is hidden and unconnected when using KFileWidget alone;
KFileDialog shows it and connects to it.
</dd></dl>
</p></div></div><a class="anchor" name="obj195415116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> clearFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Clears any mime- or namefilter. Does not reload the directory.
</p></div></div><a class="anchor" name="obj193765324"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> currentFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Returns the current filter as entered by the user or one of the
predefined set via setFilter().
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setFilter()
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> filterChanged()
</dd></dl>
</p></div></div><a class="anchor" name="obj193764236"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KMimeType.Ptr currentFilterMimeType</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Returns the mimetype for the desired output format.
</p>
<p>
This is only valid if setFilterMimeType() has been called
previously.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setFilterMimeType()
</dd></dl>
</p></div></div><a class="anchor" name="obj195413580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> currentMimeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>The mimetype for the desired output format.
</p>
<p>
This is only valid if setMimeFilter() has been called
previously.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setMimeFilter()
</dd></dl>
</p></div></div><a class="anchor" name="obj188058636"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KFileFilterCombo.html">KFileFilterCombo</a> filterWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the combobox that contains the filters
</dd></dl>
</p></div></div><a class="anchor" name="obj191944332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool keepsLocation</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> whether the contents of the location edit are kept when
changing directories.
</dd></dl>
</p></div></div><a class="anchor" name="obj195369356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kio/KUrlComboBox.html">KUrlComboBox</a> locationEdit</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the combobox used to type the filename or full location of the file.
</dd></dl>
</p></div></div><a class="anchor" name="obj201169164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KFile.Modes mode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Returns the mode of the filedialog.
<dl class="see" compact><dt><b>See also:</b></dt><dd> setMode()
</dd></dl>
</p></div></div><a class="anchor" name="obj193607436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KPushButton.html">KPushButton</a> okButton</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> a pointer to the OK-Button in the filedialog.
Note that the button is hidden and unconnected when using KFileWidget alone;
KFileDialog shows it and connects to it.
</dd></dl>
</p></div></div><a class="anchor" name="obj196232524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KAbstractFileWidget.OperationMode operationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> the current operation mode, Opening, Saving or Other. Default
is Other.
</dd></dl> </p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFileDialog.OperationMode
</dd></dl>
</p></div></div><a class="anchor" name="obj200328140"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> selectedFile</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Returns the full path of the selected file in the local filesystem.
(Local files only)
</p></div></div><a class="anchor" name="obj201270284"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a> selectedFiles</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Returns a list of all selected local files.
</p></div></div><a class="anchor" name="obj200328556"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> selectedUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The selected fully qualified filename.
</dd></dl>
</p></div></div><a class="anchor" name="obj192803084"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdecore/KUrl.List.html">KUrl.List</a> selectedUrls</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="return" compact><dt><b>Returns:</b></dt><dd> The list of selected URLs.
</dd></dl>
</p></div></div><a class="anchor" name="obj191315116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setConfirmOverwrite</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>enable</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets whether the user should be asked for confirmation
when an overwrite might occurr.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>enable</em>&nbsp;</td><td> Set this to true to enable checking.
</td></tr> </table></dl>
<p> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj195301260"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCustomWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Set a custom widget that should be added to the bottom of the file dialog.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> A widget, or a widget of widgets, for displaying custom
data in the file widget. This can be used, for example, to
display a check box with the caption "Open as read-only".
When creating this widget, you don't need to specify a parent,
since the widget's parent will be set automatically by KFileWidget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj199580268"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCustomWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qwidget.html">QWidget</a>&nbsp;</td>
<td class="paramname"><em>widget</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets a custom widget that should be added below the location and the filter
editors.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>text</em>&nbsp;</td><td> Label of the custom widget, which is displayed below the labels
"Location:" and "Filter:".

<tr><td></td><td valign="top"><em>widget</em>&nbsp;</td><td> Any kind of widget, but preferable a combo box or a line editor
to be compliant with the location and filter layout.
When creating this widget, you don't need to specify a parent,
since the widget's parent will be set automatically by KFileWidget.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191944460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>filter</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the filter to be used to <b>filter.</b>
</p>
<p>
You can set more
filters for the user to select separated by '\n'. Every
filter entry is defined through namefilter|text to diplay.
If no | is found in the expression, just the namefilter is
shown. Examples:
</p>
<p>
<pre class="fragment">
 kfile-&gt;setFilter("*.cpp|C++ Source Files\n*.h|Header files");
 kfile-&gt;setFilter("*.cpp");
 kfile-&gt;setFilter("*.cpp|Sources (*.cpp)");
 kfile-&gt;setFilter("*.cpp|" + i18n("Sources (*.cpp)"));
 kfile-&gt;setFilter("*.cpp *.cc *.C|C++ Source Files\n*.h *.H|Header files");
</pre>
</p>
<p>
Note: The text to display is not parsed in any way. So, if you
want to show the suffix to select by a specific filter, you must
repeat it.
</p>
<p>
If the filter contains an unescaped '/', a mimetype-filter is assumed.
If you would like a '/' visible in your filter it can be escaped with
a '\'. You can specify multiple mimetypes like this (separated with
space):
</p>
<p>
<pre class="fragment">
 kfile-&gt;setFilter( "image/png text/html text/plain" );
 kfile-&gt;setFilter( "*.cue|CUE\\/BIN Files (*.cue)" );
</pre>
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> filterChanged
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> setMimeFilter
</dd></dl>
</p></div></div><a class="anchor" name="obj191315820"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setInlinePreviewShown</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>show</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Forces the inline previews to be shown or hidden, depending on <b>show.</b>
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>show</em>&nbsp;</td><td> Whether to show inline previews or not.
</td></tr> </table></dl>
<p> <dl class="since" compact><dt><b>Since:</b></dt><dd> 4.2
</dd></dl>
</p></div></div><a class="anchor" name="obj191944012"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setKeepLocation</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>keep</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets whether the filename/url should be kept when changing directories.
This is for example useful when having a predefined filename where
the full path for that file is searched.
</p>
<p>
This is implicitly set when operationMode() is KFileDialog.Saving
</p>
<p>
getSaveFileName() and getSaveUrl() set this to true by default, so that
you can type in the filename and change the directory without having
to type the name again.
</p></div></div><a class="anchor" name="obj200413676"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setLocationLabel</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>text</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the text to be displayed in front of the selection.
</p>
<p>
The default is "Location".
Most useful if you want to make clear what
the location is used for.
</p></div></div><a class="anchor" name="obj201236524"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMimeFilter</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstringlist.html">QStringList</a>&nbsp;</td>
<td class="paramname"><em>types</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>defaultType=QString()</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the filter up to specify the output type.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>types</em>&nbsp;</td><td> a list of mimetypes that can be used as output format

<tr><td></td><td valign="top"><em>defaultType</em>&nbsp;</td><td> the default mimetype to use as output format, if any.
If <b>defaultType</b> is set, it will be set as the current item.
Otherwise, a first item showing all the mimetypes will be created.
Typically, <b>defaultType</b> should be empty for loading and set for saving.
</td></tr>
</table></dl>
<p> Do not use in conjunction with setFilter()
</p></div></div><a class="anchor" name="obj191063308"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KFile.Modes&nbsp;</td>
<td class="paramname"><em>m</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the mode of the dialog.
</p>
<p>
The mode is defined as (in kfile.h):
<pre class="fragment">
    enum Mode {
         File         = 1,
         Directory    = 2,
         Files        = 4,
         ExistingOnly = 8,
         LocalOnly    = 16
    };
</pre>
You can OR the values, e.g.
<pre class="fragment">
 KFile.Modes mode = KFile.Files |
                     KFile.ExistingOnly |
                     KFile.LocalOnly );
 setMode( mode );
</pre>
</p></div></div><a class="anchor" name="obj192874124"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setOperationMode</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KAbstractFileWidget.OperationMode&nbsp;</td>
<td class="paramname"><em>a0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the operational mode of the filedialog to <b>Saving,</b> <b>Opening</b>
or <b>Other.</b> This will set some flags that are specific to loading
or saving files. E.g. setKeepLocation() makes mostly sense for
a save-as dialog. So setOperationMode( KFileDialog.Saving ); sets
setKeepLocation for example.
</p>
<p>
The mode <b>Saving,</b> together with a default filter set via
setMimeFilter() will make the filter combobox read-only.
</p>
<p>
The default mode is <b>Opening.</b>
</p>
<p>
Call this method right after instantiating KFileDialog.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> KFileDialog.OperationMode
</dd></dl>
</p></div></div><a class="anchor" name="obj195231212"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setPreviewWidget</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KPreviewWidgetBase.html">KPreviewWidgetBase</a>&nbsp;</td>
<td class="paramname"><em>w</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Adds a preview widget and enters the preview mode.
</p>
<p>
In this mode the dialog is split and the right part contains your
preview widget.
</p>
<p>
Ownership is transferred to KFileDialog. You need to create the
preview-widget with "new", i.e. on the heap.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>w</em>&nbsp;</td><td> The widget to be used for the preview.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192875628"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setSelection</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the file name to preselect to <b>name</b>
</p>
<p>
This takes absolute URLs and relative file names.
</p></div></div><a class="anchor" name="obj192875116"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setUrl</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td>
<td class="paramname"><em>url</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>clearforward=1</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Sets the directory to view.
</p>
<p>
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>url</em>&nbsp;</td><td> URL to show.

<tr><td></td><td valign="top"><em>clearforward</em>&nbsp;</td><td> Indicates whether the forward queue
should be cleared.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj191312652"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotCancel</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl></div></div><a class="anchor" name="obj191312108"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> slotOk</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Called when clicking ok (when this widget is used in KFileDialog)
Might or might not call accept().
</p></div></div><a class="anchor" name="obj201167372"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="../kdeui/KToolBar.html">KToolBar</a> toolBar</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p>Returns a pointer to the toolbar.
</p>
<p>
You can use this to insert custom
items into it, e.g.:
<pre class="fragment">
      yourAction = new KAction( i18n("Your Action"), 0,
                                this, SLOT( yourSlot() ),
                                this, "action name" );
      yourAction-&gt;plug( kfileDialog-&gt;toolBar() );
</pre>
</p></div></div><a class="anchor" name="obj191313580"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> virtual_hook</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>id</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">void&nbsp;</td>
<td class="paramname"><em>data</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><dl compact><dt><b>Abstract method:</b></dt><dd>This method is abstract and can be overridden but not called directly.</dd></dl><p><dl class="internal" compact><dt><b>Internal:</b></dt><dd> for future extensions
</dd></dl>
</p></div></div><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj201361548"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">OperationMode</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Defines some default behavior of the filedialog.
E.g. in mode <b>Opening</b> and <b>Saving,</b> the selected files/urls will
be added to the "recent documents" list. The Saving mode also implies
setKeepLocation() being set.
</p>
<p>
<b>Other</b> means that no default actions are performed.
</p>
<p>
<dl class="see" compact><dt><b>See also:</b></dt><dd> setOperationMode
</dd></dl> <dl class="see" compact><dt><b>See also:</b></dt><dd> operationMode
</dd></dl>
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>Other</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>Opening</em>&nbsp;</td><td><tr><td valign="top"><em>Saving</em>&nbsp;</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
